<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div th:fragment="list" id="tags-list">
    <div th:if="${not #lists.isEmpty(epic.tags)}">
      <div class="ui stackable six column grid">
        <div class="column" th:each="tag : ${epic.tags}">
          <div class="ui middle aligned grid">
            <div class="three wide column">
              <a class="ui tag label" th:text="${tag.name}"></a>
            </div>
          </div>
        </div>
      </div>
    </div>
    <br />
    <th:block th:replace="common/fragments/form :: actionbuttonsOnClick(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                             icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                             icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_EPICS},
                                                             icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                             icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                             icon2function = 'addtag(' + ${epic.id} + ');'
                                                             )" />
  </div>
  <th:block th:fragment="tag">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_TAGS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TAGS}}"></span>
    </h2>
    <br />
    <form class="ui form" id="tags-form" method="post" th:object="${epic}">
      <input type="hidden" th:field="*{id}" />
      <input type="hidden" th:field="*{name}" />
      <div class="ui stackable six column grid">
        <div class="column" th:each="item : ${tags}">
          <div class="ui middle aligned grid">
            <div class="one wide column">
              <div class="ui checkbox">
                <input class="hidden" tabindex="0" th:field="*{tags}" th:value="${item.id}" type="checkbox" />
              </div>
            </div>
            <div class="three wide column">
              <a class="ui tag label" th:text="${item.name}"></a>
            </div>
          </div>
        </div>
      </div>
      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      	icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      	icon1url = ''
                                                                      	)" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </th:block>
</body>
</html>
